curl "https://api.okrapdf.com/v1/filings?exchange=NASDAQ&ticker=AAPL&type=10-K"
Filings (Data API)
List Filings
List all available SEC filings, optionally filtered by exchange, ticker, or type.
GET
/
v1
/
filings
curl "https://api.okrapdf.com/v1/filings?exchange=NASDAQ&ticker=AAPL&type=10-K"
Overview
Returns a paginated list of SEC filings. Filter by exchange, ticker, or filing type. No authentication required.Request
curl "https://api.okrapdf.com/v1/filings?exchange=NASDAQ&ticker=AAPL&type=10-K"
Response
{
"filings": [
{
"exchange": "NASDAQ",
"ticker": "AAPL",
"slug": "0000320193-23-000106",
"type": "10-K",
"filed_at": "2023-11-03"
}
]
}